Subject: [IGSMAIL-246] RINEX under AS
From: W. Gurtner
Date: 23 APR 1993 14:26:00

IGS Electronic Mail       23-APR-1993 14:26:00       Message Number 246
***********************************************************************

From:	W. Gurtner
Subj:	RINEX under AS
----------------------

                              RINEX under AS
                              ______________

                              Werner Gurtner
                          Astronomical Institute
                           University of Berne

The current versions (1 and 2) of the Receiver Independent Exchange
Format RINEX knows the following 7 basic observation types:

          C1:  C/A code pseudorange on L1
          P1:   P  code pseudorange on L2
          P2:   P  code pseudorange on L2
          L1:  phase observation on L1
          L2:  phase observation on L2
         (D1:  Doppler observation on L1)
         (D2:  Doppler observation on L2)

We have never distinguished between L1 phases recovered using C/A code
only or using the P-code. In the presence of both only one (the
better one) has been included in the RINEX files.

Half-wavelength phase observations (squaring receivers) have been
flagged

  - by the wavelength factor (set to 2) for all satellites in the
    header of Version 1 files

  - using either a general or a satellite-dependent wavelength factor
    in Version 2

  - using bit number one (LSB being bit 0) in the loss-of-lock
    indicator (LLI) to mark observations with a wavelength different
    from the one given by the wavelength factor (Version 2). This is
    used for instruments that may frequently switch from p-code
    tracking to squaring and vice versa due to tracking reasons

With the introduction of receivers that do not merely switch to C/A
code tracking and sqaring under anti-spoofing (AS) conditions but use
cross-correlation or other techniques instead, the question came up
how RINEX will handle these new observation techniques or, strictly
speaking, these new observation types.

The discussions in the user community (especially within the
International GPS Geodynamics Service (IGS) group) showed two
different approaches:

   - use the actual observations to synthesize the corresponding basic
     RINEX observation types and flag them to be "special"

   - define enough new observation types to cover all the different
     ways the new receivers are or will be handling the AS condition

Apart from the fact that some observation types might not be available
at all or that phase observations are collected in half wavelength
under AS, the most conspicuous result is an increased noise of the
AS-affected observables. As a consequence some processing software
might have to know what observables fall into this category.

In order to not have to go through the process of actually creating a
new RINEX version (3), a process becoming more and more difficult, the
data exchange working group of IGS came to the conclusion to
propose the following moderate change of RINEX version 2:

      Observables under AS having been synthesized using
      cross-correlation or other techniques and therefore suffering
      from an increased noise level are flagged with bit 2 of the
      loss-of-lock indicator!

(To set bit 2 of the LLI its current value is increased by adding 4.)

This will most certainly affect the

      L2 observations (cross-correlation, P/W tracking)
      P2 observations (cross-correlation, i.e. P2=C1+(Y2-Y1)
      P1 and P2 obs   (P/W tracking)

Rogue / Trimble SSE types of instruments track C/A code on L1 under
AS:  Their AS code observation on L1 in the RINEX file is "C1", the
same one as from any C/A tracker under non-AS condition.

True Y-code trackers would create unaffected P1,P2,L1,L2 observables
that do not have to be flagged.

Squared L2 observables of course have to be flagged with wavelength
factor 2 as described above.

When AS is switched on the LLI flag will go from (usually) zero to 4
(or most certainly for one epoch to 5, as the receiver will loose
lock). Observations of receivers that go to squaring mode will either
be additionally be flagged with bit 1 of the LLI or a new header line
(WAVELENGTH FACT L1/2) might be inserted according to the RINEX
version 2 rules.

Software that does not care about the subtleties of AS-affected
observations can ignore bit 2 of the LLI and just has to worry about
possible different wavelength factors.

I also got the proposal to introduce a floating point version number to
be able to flag this small change with a version such as 2.1. Most of
the people I contacted did not find it necessary, however, and nobody
voted for a version 3.

Please find below an example of a RINEX file containing satellites under
AS (prn 2,27,24,26,19,16) as well as non-AS satellites (prn 3,18).

I hope to help decrease or even eliminate with this step uncertainties
in the handling of AS-affected data by the different RINEX converters
and by the large variety of post-processing software.

May I ask everybody who is providing RINEX converters to follow this
proposal to help prevent the development of many different RINEX
"dialects". Do not hesitate to contact me if you have any questions.

Maybe it is a good idea to include a COMMENT line stating that bit # 2
of LLI flags AS data.

Berne, April 23, 1993                                         Werner Gurtner

PS: A complete RINEX version 2 format description is available as ASCII file
    (RINEX2.TXT) on our anonymous ftp account (Internet 130.92.4.10) 
    in the directory [ASTRONOMY.RINEX].

******************************    EXAMPLE    **********************************

     2              OBSERVATION DATA    G (GPS)             RINEX VERSION / TYPE
TRRINEXO V1.8.1     L+T                 21-APR-93 00:38     PGM / RUN BY / DATE 
Zimmerwald LT88                                             COMMENT             
BIT 2 OF LLI (+4) FLAGS DATA COLLECTED UNDER "AS" CONDITION COMMENT             
ZIMM                                                        MARKER NAME         
LOGST/COMPAQ        L+T                                     OBSERVER / AGENCY   
2691                TRIMBLE 4000SSE      5.60               REC # / TYPE / VERS 
17498               TRIMBLE 4000SSE                         ANT # / TYPE        
  4331354.9039   567542.1797  4633078.2930                  APPROX POSITION XYZ 
         .0000         .0000         .0000                  ANTENNA: DELTA H/E/N
     1     1                                                WAVELENGTH FACT L1/2
     5    P1    L1    L2    P2    C1                        # / TYPES OF OBSERV 
     1                                                      INTERVAL            
  1993     4    20     6    14     .000000                  TIME OF FIRST OBS   
                                                            END OF HEADER       
 93  4 20  6 14   .0000000  0  7  2 27  3 24 18 26 19
                  -3606452.220 5  -2658497.69346  24290247.9384   24290242.383  
                 -17427926.331 8 -13467468.00549  20337177.6454   20337176.836  
  24609815.414     1492000.824 2   2024814.857 6  24609819.145  
                   4907925.958 5   3983864.90846  23660590.2034   23660586.875  
  23624383.094    11049247.283 5   8651874.527 6  23624385.047  
                   -986672.123 3   -567492.38945  24759926.0744   24759926.203  
                  -6169648.462 6  -4701382.96849  21418332.6724   21418331.031  
 93  4 20  6 14 30.0000000  0  8  2 27  3 24 18 26 19 16
                  -3679377.118 5  -2715322.21546  24276368.9304   24276363.586  
                 -17416465.956 8 -13458537.83849  20339358.3524   20339357.508  
  24622192.492     1557030.139 3   2075487.050 6  24622194.531  
                   5028029.695 5   4077452.15346  23683446.9884   23683443.461  
  23646913.781    11167645.148 5   8744132.522 6  23646915.785  
                  -1046564.357 3   -614161.67545  24748527.3754   24748527.445  
                  -6080119.925 6  -4631620.48549  21435369.8714   21435367.984  
                  -9083036.05917  -6998390.56559  21002894.8014   21002893.266  
 93  4 20  6 15   .0000000  0  8  2 27  3 24 18 26 19 16
                  -3752199.504 5  -2772066.79546  24262513.3834   24262507.102  
                 -17404473.055 8 -13449192.72049  20341640.3754   20341639.742  
  24634693.094     1622726.990 2   2126679.334 6  24634696.039  
                   5148356.362 5   4171213.11046  23706343.6644   23706339.984  
  23669457.367    11286114.710 5   8836446.376 6  23669459.344  
                  -1106381.016 4   -660772.02245  24737147.7424   24737145.891  
                  -5990242.516 7  -4561586.17849  21452473.0664   21452471.180  
                  -9096979.011 7  -7009255.21749  21000242.1174   21000240.078  

**************************   END OF EXAMPLE   *********************************

****************************************************************************
Werner Gurtner, Astronomical Institute, University of Berne, Sidlerstrasse 5
CH-3012 Bern, Switzerland, Tel: ++41-31-658591 / 658599, Fax: ++41-31-653869
E-Mail:  [email-masked]   [email-masked]   20579::49203::GURTNER